Package: org.grails.cli.profile.steps

## [Groovy] Class RenderStep

- org.grails.cli.profile.steps.RenderStep

-     @groovy.transform.InheritConstructors
      @groovy.transform.CompileStatic
      class RenderStep
      extends AbstractStep

  A Step that renders a template

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `static java.lang.String` | `TEMPLATES_DIR` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractStep` | `command, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RenderStep ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext context)`
    `` | `protected java.lang.String` | `relativePath(java.io.File relbase, java.io.File file)`
    `` | `protected void` | `renderToDestination(java.io.File destination, java.util.Map variables)`
    `` | `protected java.util.List<java.lang.String>` | `resolveNameAndPackage(ExecutionContext context, java.lang.String nameAsArgument)`
    `` | `protected Resource` | `searchTemplateDepthFirst(Profile profile, java.lang.String template)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractStep` | `flag`

- - ### Field Detail

    - #### public static final java.lang.String NAME

    - #### public static final java.lang.String TEMPLATES_DIR

  - ### Constructor Detail

    - #### RenderStep()

  - ### Method Detail

    - #### @java.lang.Override @groovy.transform.CompileStatic java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext context)

    - #### protected java.lang.String relativePath(java.io.File relbase, java.io.File file)

    - #### protected void renderToDestination(java.io.File destination, java.util.Map variables)

    - #### protected java.util.List<java.lang.String> resolveNameAndPackage(ExecutionContext context, java.lang.String nameAsArgument)

    - #### protected Resource searchTemplateDepthFirst(Profile profile, java.lang.String template)